import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);
const api = {
  wxInfo: (site, openid) => `/wxgateway/wxuser/${site}?openid=${openid}`,
};
export default new Vuex.Store({
  state: { user: {} },
  mutations: {
    setUser(state, payload) {
      state.user = payload;
      sessionStorage.setItem('user', JSON.stringify(payload));
    },
    deleteUser(state, payload) {
      state.user = {};
      sessionStorage.removeItem('user');
    },
  },
  actions: {
    async getUser({ commit }, payload) {
      const res = await this.$axios.$get(`${api.wxInfo('free', payload)}`);
      return res;
    },
  },
  modules: {},
});
